@import 'normalize.css/normalize.css';
@import 'fonts';
@import 'sections/header';
@import 'sections/footer';
@import 'sections/section_1_layout';
@import 'sections/section_2_layout';
@import 'sections/section_3_layout';
@import 'sections/section_4_layout';
@import 'sections/section_5_layout';
@import 'sections/section_6_layout';
@import 'sections/section_7_layout';
@import 'components/header_navigation_menu';
@import 'components/mobile_menu';
@import 'components/buttons_layout';
@import 'components/footer';
@import 'components/google_maps';
@import 'components/text';
@import 'components/modal';
@import 'components/icons';
@import 'components/loading';
@import 'sections/contact-information';
@import 'sections/contact-form';
@import 'sections/error-page';
@import 'sections/cars-sale';

*,
*::before,
*::after {
  box-sizing: inherit;
}

body {
  // 320px is the smallest mobile device, so we don't have to support smaller screens than that.
  min-width: 320px;
  box-sizing: border-box;
  font-family: $main-font;
}

p {
  margin: 0em;
}

.svg-background {
  position: absolute;
  left: 52%;
  top: -25px;
  transform: translate(-50%, 0);
  height: 140px;
  width: 3320px;
}

.header-background-container {
  height: 80px;
  width: 100%;
  z-index: 80;
  position: absolute;
  top: 0;
  left: 0;
  pointer-events: none;
}

@media screen and (max-width: 1000px) {
  .header-background-container {
    display: none;
  }
}
